# Ogre::EdgeData::EdgeGroup Struct Reference

A group of edges sharing the same vertex data. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Attributes

size_t | vertexSet
| The vertex set index that contains the vertices for this edge group.
const VertexData * | vertexData
| Pointer to vertex data used by this edge group.
size_t | triStart
| Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array.
size_t | triCount
| Number triangles of this edge group.
EdgeList | edges
| The edges themselves.

## Detailed Description

A group of edges sharing the same vertex data.

Definition at line 90 of file OgreEdgeListBuilder.h.

## Member Data Documentation

size_t Ogre::EdgeData::EdgeGroup::vertexSet

The vertex set index that contains the vertices for this edge group.

Definition at line 93 of file OgreEdgeListBuilder.h.

const VertexData* Ogre::EdgeData::EdgeGroup::vertexData

Pointer to vertex data used by this edge group.

Definition at line 95 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::EdgeGroup::triStart

Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array.

Definition at line 100 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::EdgeGroup::triCount

Number triangles of this edge group.

Definition at line 102 of file OgreEdgeListBuilder.h.

EdgeList Ogre::EdgeData::EdgeGroup::edges

The edges themselves.

Definition at line 104 of file OgreEdgeListBuilder.h.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:40 2008